#version 410 core

uniform sampler2D uChannelA;
uniform sampler2D uChannelB;
uniform sampler2D uChannelC;
uniform sampler2D uChannelD;

in  vec2    UV;
out vec4    frag_colour;

void main () {
    vec4 texel = texture(uChannelA, UV);
    if(abs(texel.a) < .1)
        discard;
    frag_colour = texel;
}